Directions Service
Finds the fastest route between coordinates in the supplied order.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/directions/driving/string?bearings=10%2C20%3B40%2C30%3B30%2C9&radiuses=500%3B200%3B300&alternatives=0&steps=true&annotations=false&geometries=polyline&overview=simplified&continue_straight=default&waypoints=0%3B1%3B2"{ "code": "ok", "waypoints": { "distance": 159.132824, "location": [ -0.161547, 51.522462 ], "name": "Balcombe Street" }, "routes": { "legs": { "steps": [], "weight": 22.7, "distance": 104.2, "summary": "", "duration": 24.8 }, "weight_name": "routability", "geometry": "k~myHtp^KeA_@aEACCW", "weight": 22.6, "distance": 104.8, "duration": 24.8 }}